curl --request GET \
--url https://app.pipecorn.com/api/v2/contacts/{id} \
--header 'X-API-KEY: <api-key>'import requests
url = "https://app.pipecorn.com/api/v2/contacts/{id}"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://app.pipecorn.com/api/v2/contacts/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.pipecorn.com/api/v2/contacts/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.pipecorn.com/api/v2/contacts/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-KEY", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.pipecorn.com/api/v2/contacts/{id}")
.header("X-API-KEY", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.pipecorn.com/api/v2/contacts/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-KEY"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"enrichment_id": "123e4567-e89b-12d3-a456-426614174000",
"first_name": "Mathieu",
"last_name": "Brun-Picard",
"status": "finished",
"email": "mathieu@prontohq.com",
"email_status": "deliverable",
"personal_email": "mathieu.bp@gmail.com",
"personal_email_status": "valid",
"phone": [
"+12015550123"
],
"phone_details": [
{
"number": "+12015550123",
"type": "fixed_or_mobile"
}
],
"custom": {
"hubspot_id": "4447901"
}
}{
"error": 404,
"message": "Enrichment not found"
}Find Enrichment result
Retrieve enrichment results for a single contact
curl --request GET \
--url https://app.pipecorn.com/api/v2/contacts/{id} \
--header 'X-API-KEY: <api-key>'import requests
url = "https://app.pipecorn.com/api/v2/contacts/{id}"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://app.pipecorn.com/api/v2/contacts/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.pipecorn.com/api/v2/contacts/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.pipecorn.com/api/v2/contacts/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-KEY", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.pipecorn.com/api/v2/contacts/{id}")
.header("X-API-KEY", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.pipecorn.com/api/v2/contacts/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-KEY"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"enrichment_id": "123e4567-e89b-12d3-a456-426614174000",
"first_name": "Mathieu",
"last_name": "Brun-Picard",
"status": "finished",
"email": "mathieu@prontohq.com",
"email_status": "deliverable",
"personal_email": "mathieu.bp@gmail.com",
"personal_email_status": "valid",
"phone": [
"+12015550123"
],
"phone_details": [
{
"number": "+12015550123",
"type": "fixed_or_mobile"
}
],
"custom": {
"hubspot_id": "4447901"
}
}{
"error": 404,
"message": "Enrichment not found"
}Authorizations
Your API key
Path Parameters
The ID of the enrichment request to retrieve
Response
Enrichment result retrieved successfully
The ID of the enrichment request
The contact's first name
The contact's last name
The status of the enrichment request. pending while the waterfall is still running, finished once all requested enrichments have completed (regardless of whether data was found).
finished, pending The enriched professional email address (present if enrichment_type included email)
The validation status of the professional email (e.g. deliverable, catch-all, N/A)
The enriched personal email address (present if enrichment_type included personal_email)
The validation status of the personal email (e.g. valid, invalid, catch-all, N/A)
Array of enriched phone numbers, after the phone_type filter is applied (empty array when none found)
Phone number in E.164 format
Phone numbers found, each with its line type. Same numbers and order as phone, after the phone_type filter is applied (empty array when none found).
Show child attributes
Show child attributes
Custom fields passed in the request
Was this page helpful?